#ifndef KONAIMAGE_H
#define KONAIMAGE_H

#include <glib-object.h>

G_BEGIN_DECLS

#define KONA_TYPE_IMAGE (kona_image_get_type())

G_DECLARE_FINAL_TYPE (KonaImage, kona_image, KONA, IMAGE, GObject) // Struct name, function prefix, Namespace, name, inherits

KonaImage *kona_image_new (void);

struct kona_image_meta_struct {
    int id;
    GList *tags;
    char* preview_url;
    char* image_url;
    int width;
    int height;
};
typedef struct kona_image_meta_struct kona_image_meta;

G_END_DECLS

#endif // KONAIMAGE_H
